WebhooksStripe billing webhook

Stripe billing webhook

Receive Stripe billing events for subscriptions, invoices, credits, and payment flows. Verifies the stripe-signature header with STRIPE_WEBHOOK_SECRET. Preserve the raw body.

curl -X POST "https://api.talkturo.com/api/billing/webhook" \
  -H "Content-Type: application/json" \
  -H "stripe-signature: example_string" \
  -H "stripe-signature: YOUR_API_KEY" \
  -d '{
  "id": "example_string",
  "type": "example_string",
  "data": {}
}'
{
  "received": true
}
POST
/billing/webhook
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: stripe-signature)
stripe-signaturestring
Required

Stripe webhook signature verified with STRIPE_WEBHOOK_SECRET. The raw request body must be preserved for verification.

Stripe webhook signature verified with STRIPE_WEBHOOK_SECRET. The raw request body must be preserved for verification.
Content-Typestring
Required

The media type of the request body

Options: application/json
header
stripe-signaturestring
Required

Stripe webhook signature header

Request Preview
Response

Response will appear here after sending the request

Authentication

header
stripe-signaturestring
Required

API Key for authentication. Stripe webhook signature verified with STRIPE_WEBHOOK_SECRET. The raw request body must be preserved for verification.

Headers

stripe-signaturestring
Required

Stripe webhook signature header

Body

application/json

Responses

receivedboolean